WPS4TextInternal::DosLink Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
WPS4TextInternal::DosLink Struct Reference

Internal: class to store an object definition. More...

## Public Member Functions
| DosLink ()
| constructor More...

## Public Attributes
int | m_type
| the type More...
float | m_width
| the width More...
Vec2f | m_size
| the object size in the document More...
std::string | m_name
| the file name More...
WPSEntry | m_pos
| an entry which indicates where the object is defined in the file More...
std::string | m_extra
| a string used to store the parsing errors More...

## Friends
std::ostream & | operator<< (std::ostream &o, DosLink const &dlink)
| operator << More...

## Detailed Description

Internal: class to store an object definition.

## Constructor & Destructor Documentation

WPS4TextInternal::DosLink::DosLink | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | DosLink const & | dlink
| ) |  |
| friend

operator <<

## Member Data Documentation

std::string WPS4TextInternal::DosLink::m_extra

a string used to store the parsing errors

Referenced by WPS4TextInternal::operator<<(), and WPS4Text::readDosLink().

std::string WPS4TextInternal::DosLink::m_name

the file name

Referenced by WPS4TextInternal::operator<<(), and WPS4Text::readDosLink().

WPSEntry WPS4TextInternal::DosLink::m_pos

an entry which indicates where the object is defined in the file

Referenced by WPS4Text::readDosLink().

Vec2f WPS4TextInternal::DosLink::m_size

the object size in the document

Referenced by WPS4TextInternal::operator<<(), and WPS4Text::readDosLink().

int WPS4TextInternal::DosLink::m_type

the type

Referenced by WPS4TextInternal::operator<<(), and WPS4Text::readDosLink().

float WPS4TextInternal::DosLink::m_width

the width

Referenced by WPS4TextInternal::operator<<(), and WPS4Text::readDosLink().

The documentation for this struct was generated from the following file:

- WPS4Text.cpp